diff -durN app_python/Loggers.py app_python-new/Loggers.py
--- app_python/Loggers.py	1970-01-01 03:00:00.000000000 +0300
+++ app_python-new/Loggers.py	2012-05-15 00:55:07.000000000 +0300
@@ -0,0 +1,66 @@
+# -*- coding: utf-8 -*-
+
+"""
+    Script for logging test.
+    2012.05.15: Created by: Konstantin M. <irc://eZz at freenode>
+"""
+
+import Router
+
+"""
+    Module Properties:
+	Log Levels:
+	    L_ALERT
+	    L_BUG
+	    L_CRIT2
+	    L_CRIT
+	    L_ERR
+	    L_WARN
+	    L_NOTICE
+	    L_INFO
+	    L_DBG
+	
+	Log Facilities:
+	    DEFAULT_FACILITY
+
+    Module Methods:
+	LM_GEN1(self, int log_level, str msg)
+	LM_GEN2(self, int log_facility, int log_level, str msg)
+	LM_ALERT(self, str msg)
+	LM_CRIT(self, str msg)
+	LM_ERR(self, str msg)
+	LM_WARN(self, str msg)
+	LM_NOTICE(self, str msg)
+	LM_INFO(self, str msg)
+	LM_DBG(self, str msg)
+	
+	    
+"""
+
+
+class Loggers:
+
+    def __init__(self):
+	pass
+
+    def __del__(self):
+	pass
+
+    def child_init(self, y):
+	return 0
+
+    def TestLoggers(self, msg, args):
+	Router.LM_GEN1(Router.L_INFO,				"Loggers.py:        LM_GEN1: msg: %s" % str(args))
+	Router.LM_GEN2(Router.L_INFO, Router.DEFAULT_FACILITY, 	"Loggers.py:     LM_GEN2: msg: %s" % str(args))
+	Router.LM_ALERT( 					"Loggers.py:      LM_ALERT: msg: %s" % str(args))
+	Router.LM_CRIT( 					"Loggers.py:    LM_CRIT: msg: %s" % str(args))
+	Router.LM_ERR(						"Loggers.py:       LM_ERR: msg: %s" % str(args))
+	Router.LM_WARN( 					"Loggers.py:    LM_WARN: msg: %s" % str(args))
+	Router.LM_NOTICE( 					"Loggers.py:   LM_NOTICE: msg: %s" % str(args))
+	Router.LM_INFO( 					"Loggers.py:       LM_INFO: msg: %s" % str(args))
+	Router.LM_DBG( 						"Loggers.py:   LM_DBG: msg: %s" % str(args))
+	return 1
+
+def mod_init():
+    return Loggers()
+
diff -durN app_python/README.TestCase-Loggers app_python-new/README.TestCase-Loggers
--- app_python/README.TestCase-Loggers	1970-01-01 03:00:00.000000000 +0300
+++ app_python-new/README.TestCase-Loggers	2012-05-15 00:44:50.284060325 +0300
@@ -0,0 +1,14 @@
+loadmodule "app_python.so"
+modparam("app_python", "script_name", "/path/to/Loggers.py")
+modparam("app_python", "mod_init_function", "mod_init")
+modparam("app_python", "child_init_method", "child_init")
+
+...
+
+route
+{
+    python_exec("TestLoggers", "Test Message\n");
+    ...
+}
+
+            
\ No newline at end of file
diff -durN app_python/python_iface.c app_python-new/python_iface.c
--- app_python/python_iface.c	2012-04-19 15:10:03.000000000 +0300
+++ app_python-new/python_iface.c	2012-05-15 00:40:29.752022781 +0300
@@ -20,6 +20,11 @@
  *
 */
 
+/*
+ * 2012.05.15: Editted by: Konstantin M. <irc://eZz at freenode>
+ *
+*/
+
 #include "../../action.h"
 #include "../../dprint.h"
 #include "../../route_struct.h"
@@ -27,9 +32,78 @@
 
 #include <Python.h>
 
-/* Return the number of arguments of the application command line */
-static PyObject*
-router_LM_ERR(PyObject *self, PyObject *args)
+/*
+ * Python method: LM_GEN1(self, int log_level, str msg)
+ */
+static PyObject* router_LM_GEN1(PyObject *self, PyObject *args)
+{
+    int log_level;
+    char *msg;
+
+    if (!PyArg_ParseTuple(args, "is:LM_GEN1", &log_level, &msg))
+        return NULL;
+
+    LM_GEN1(log_level, "%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+
+/*
+ * Python method: LM_GEN2(self, int log_facility, int log_level, str msg)
+ */
+static PyObject *router_LM_GEN2(PyObject *self, PyObject *args)
+{
+    int log_facility;
+    int log_level;
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "iis:LM_GEN2", &log_facility, &log_level, &msg))
+        return NULL;
+
+    LM_GEN2(log_facility, log_level, "%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_ALERT(self, str msg)
+ */
+static PyObject *router_LM_ALERT(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_ALERT", &msg))
+        return NULL;
+
+    LM_ALERT("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_CRIT(self, str msg)
+ */
+static PyObject *router_LM_CRIT(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_CRIT", &msg))
+        return NULL;
+
+    LM_CRIT("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_ERR(self, str msg)
+ */
+static PyObject *router_LM_ERR(PyObject *self, PyObject *args)
 {
     char *msg;
 
@@ -42,8 +116,107 @@
     return Py_None;
 }
 
+/*
+ * Python method: LM_WARN(self, str msg)
+ */
+static PyObject *router_LM_WARN(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_WARN", &msg))
+        return NULL;
+
+    LM_WARN("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_NOTICE(self, str msg)
+ */
+static PyObject *router_LM_NOTICE(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_NOTICE", &msg))
+        return NULL;
+
+    LM_NOTICE("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_INFO(self, str msg)
+ */
+static PyObject *router_LM_INFO(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_INFO", &msg))
+        return NULL;
+
+    LM_INFO("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
+/*
+ * Python method: LM_DBG(self, str msg)
+ */
+static PyObject *router_LM_DBG(PyObject *self, PyObject *args)
+{
+    char *msg;
+
+    if(!PyArg_ParseTuple(args, "s:LM_DBG", &msg))
+        return NULL;
+
+    LM_DBG("%s", msg);
+
+    Py_INCREF(Py_None);
+    return Py_None;
+}
+
 PyMethodDef RouterMethods[] = {
-    {"LM_ERR", router_LM_ERR, METH_VARARGS,
-     "Pring error message."},
+    {"LM_GEN1",	  router_LM_GEN1,   METH_VARARGS, "Pring LOG_ message."},
+    {"LM_GEN2",	  router_LM_GEN2,   METH_VARARGS, "Pring LOG_FC message."},
+    {"LM_ALERT",  router_LM_ALERT,  METH_VARARGS, "Pring alert message."},
+    {"LM_CRIT",   router_LM_CRIT,   METH_VARARGS, "Pring critical message."},
+    {"LM_ERR",    router_LM_ERR,    METH_VARARGS, "Pring error message."},
+    {"LM_WARN",	  router_LM_WARN,   METH_VARARGS, "Pring warning message."},
+    {"LM_NOTICE", router_LM_NOTICE, METH_VARARGS, "Pring notice message."},
+    {"LM_INFO",   router_LM_INFO,   METH_VARARGS, "Pring info message."},
+    {"LM_DBG",    router_LM_DBG,    METH_VARARGS, "Pring debug message."},
     {NULL, NULL, 0, NULL}
 };
+
+
+/*
+ * Default module properties
+ */
+void RouterAddProperties(PyObject *m)
+{
+    /*
+    * Log levels
+    * Reference: dprint.h
+    */
+    PyModule_AddObject(m, "L_ALERT",  PyInt_FromLong((long)L_ALERT));
+    PyModule_AddObject(m, "L_BUG",    PyInt_FromLong((long)L_BUG));
+    PyModule_AddObject(m, "L_CRIT2",  PyInt_FromLong((long)L_CRIT2)); /* like L_CRIT, but adds prefix */
+    PyModule_AddObject(m, "L_CRIT",   PyInt_FromLong((long)L_CRIT));  /* no prefix added */
+    PyModule_AddObject(m, "L_ERR",    PyInt_FromLong((long)L_ERR));
+    PyModule_AddObject(m, "L_WARN",   PyInt_FromLong((long)L_WARN));
+    PyModule_AddObject(m, "L_NOTICE", PyInt_FromLong((long)L_NOTICE));
+    PyModule_AddObject(m, "L_INFO",   PyInt_FromLong((long)L_INFO));
+    PyModule_AddObject(m, "L_DBG",    PyInt_FromLong((long)L_DBG));
+
+    /*
+    * Facility
+    * Reference: dprint.h
+    */
+    PyModule_AddObject(m, "DEFAULT_FACILITY", PyInt_FromLong((long)DEFAULT_FACILITY));
+}
+
diff -durN app_python/python_iface.h app_python-new/python_iface.h
--- app_python/python_iface.h	2012-04-19 15:10:03.000000000 +0300
+++ app_python-new/python_iface.h	2012-05-15 00:43:31.280067592 +0300
@@ -20,11 +20,17 @@
  *
 */
 
+/*
+ * 2012.05.15: Editted by: Konstantin M. <irc://eZz at freenode>
+ *
+*/
+
 #ifndef _PYTHON_IFACE_H
 #define  _PYTHON_IFACE_H
 
 #include <Python.h>
 
 extern PyMethodDef RouterMethods[];
+void RouterAddProperties(PyObject*);
 
 #endif
diff -durN app_python/python_mod.c app_python-new/python_mod.c
--- app_python/python_mod.c	2012-04-19 15:10:03.000000000 +0300
+++ app_python-new/python_mod.c	2012-05-15 00:43:15.176102157 +0300
@@ -20,6 +20,11 @@
  *
 */
 
+/*
+ * 2012.05.15: Editted by: Konstantin M. <irc://eZz at freenode>
+ *
+*/
+
 #include "../../str.h"
 #include "../../sr_module.h"
 
@@ -87,7 +92,7 @@
 {
     char *dname, *bname, *dname_src, *bname_src;
     int i;
-    PyObject *sys_path, *pDir, *pModule, *pFunc, *pArgs;
+    PyObject *sys_path, *pDir, *pModule, *pFunc, *pArgs, *m;
     PyThreadState *mainThreadState;
 
     if (script_name.len == 0) {
@@ -127,7 +132,8 @@
     PyEval_InitThreads();
     mainThreadState = PyThreadState_Get();
 
-    Py_InitModule("Router", RouterMethods);
+    m = Py_InitModule("Router", RouterMethods);
+    RouterAddProperties(m);
 
     if (python_msgobj_init() != 0) {
         LM_ERR("python_msgobj_init() has failed\n");
